DROP TABLE IF EXISTS `{section}_categories`;
CREATE TABLE `{section}_categories` (
  `id` int(11) NOT NULL auto_increment,
  `idker` int(11) NOT NULL default '0',
  `level` int(11) NOT NULL default '0',
  `idimg` int(11) NOT NULL default '0',
  `name` varchar(150) NOT NULL default '',
  `urlname` varchar(100) NOT NULL default '',
  `description` text NOT NULL default '',
  `tags` text NOT NULL default '',
  `citems` int(11) NOT NULL default '0',
  `sort` int(11) NOT NULL default '0',
  `active` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`id`),
  KEY `idker` (`idker`),
  KEY `level` (`level`),
  KEY `name` (`name`),
  KEY `urlname` (`urlname`),
  KEY `sort` (`sort`),
  KEY `active` (`active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{section}_catalog`;
CREATE TABLE `{section}_catalog` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `iduser` int(11) NOT NULL default '0',
  `name` varchar(150) NOT NULL default '',
  `bbcode` text NOT NULL default '',
  `content` text  NOT NULL default '',
  `views` int(11) NOT NULL default '0',
  `active` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `iduser` (`iduser`),
  KEY `active` (`active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{section}`;
CREATE TABLE `{section}` (
  `id` int(11) NOT NULL auto_increment,
  `idcat` int(11) NOT NULL default '0',
  `iditem` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idcat` (`idcat`),
  KEY `iditem` (`iditem`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;