{include file="_header.tpl"}

{object obj=$navigation}

<h1>Редактирование</h1>

{literal}
<script type="text/javascript">
function valid_form(form)
{ if(form.name.value.replace(/\s+/,'').length==0)
  { alert('Пожалуйста, заполните название.'); return false; }
  if(form.content.value.replace(/\s+/,'').length==0)
  { alert('Пожалуйста, заполните текст.'); return false; }
  return true;
}
</script>
{/literal}

{if $errors.emptycats}
<p style="color:red">Не указана ни одна категория.</p>
{/if}

<form method="post" onsubmit="return valid_form(this)" enctype="multipart/form-data">
<p>Название:</p>
{editbox name="name" text=$form.name width="40%"}
<p>Категория:</p>
<select name="idcat[]" multiple>
{html_options options=$form.categories selected=$form.idcat}
</select>
<p>Текст:</p>
{codearea name="content" text=$form.content}

{if $options.useimages}
<p>Фото:</p>
{if $form.images}
{image data=$form.images width=120 popup=true}
<p>Заменить:</p>
{/if}
<p><input type="file" name="image1"></p>
{/if}

{foreach from=$fields item=field}

{if $field.type=="string"}
<p>{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}</p>
{editbox name=$field.field max=$field.length text=$field.value width="40%"}

{elseif $field.type=="int" || $field.type=="float"}
<p>{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}</p>
{editbox name=$field.field max=10 width=60 text=$field.value}

{elseif $field.type=="bool"}
<p><input type="checkbox" name="{$field.field}"{if $field.value=="Y"} checked{/if}>&nbsp;{$field.name}</p>

{elseif $field.type=="text"}
<p>{$field.name}{if $field.fill=="Y"}<b>*</b>{/if}:</p>
{textarea name=$field.field rows=$field.property text=$field.value}

{elseif $field.type=="select"}
<p>{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}</p>
<select name="{$field.field}">
{if $field.fill=='N'}<option value="0">Не выбрано</option>{/if}
{html_options options=$field.options selected=$field.value}
</select>

{elseif $field.type=="mselect"}
<p>{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}</p>
{html_checkboxes name=$field.field options=$field.options checked=$field.value separator=", "}

{elseif $field.type=="date"}
<p>{$field.name}:{if $field.fill=="Y"}<b>*</b>{/if}</p>
{html_select_date prefix=$field.field time=$field.value field_order="DMY" start_year=$field.startyear end_year="+3"}

{elseif $field.type=="file"}
<p>{$field.name}:</p>
<input type="file" name="{$field.field}">
{/if}

{/foreach}

<p>{submit caption="Отправить"}</p>
{hidden name="id" value=$form.id}
{hidden name="action" value="edit"}
</form>

{include file="_footer.tpl"}